package com.jxdinfo.hussar.core.eventbus.facade;

package .tmp;

import com.google.common.eventbus.EventBus;
import com.jxdinfo.hussar.core.eventbus.adpter.EventAdapter;
import com.jxdinfo.hussar.core.eventbus.event.BaseEvent;
import com.jxdinfo.hussar.core.eventbus.facade.aUX;
import com.jxdinfo.hussar.core.support.WafKit;
import com.jxdinfo.hussar.core.util.DateUtil;
import java.util.concurrent.Executor;
import java.util.concurrent.Executors;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class EventBusFacade {
  private static final EventBus C;
  
  private static final Logger e = LoggerFactory.getLogger(com.jxdinfo.hussar.core.eventbus.facade.EventBusFacade.class);
  
  private static final Executor new;
  
  public static void unregister(EventAdapter a) {
    if (a == null)
      return; 
    C.unregister(a);
    e.trace(WafKit.boolean("\r\030\0374-:;%/0o08 0*\004&8%:2>y!/97,on9$"), a.getClass().getSimpleName());
  }
  
  static {
    C = new EventBus();
    new = Executors.newCachedThreadPool();
  }
  
  public static void submit(BaseEvent a) {
    if (a == null)
      return; 
    new.execute((Runnable)new aUX(a));
  }
  
  public static void post(BaseEvent a) {
    execute(a);
  }
  
  public static void execute(BaseEvent a) {
    if (a == null)
      return; 
    C.post(a);
  }
  
  public static void register(EventAdapter a) {
    if (a == null)
      return; 
    C.register(a);
    e.trace(DateUtil.volatile("%$\021cN\0253 \000%V/\0135\t\022\0205\007'\024\007'e\021+\0216\001zW:\013"), a.getClass().getSimpleName());
  }
}
